<ui:composition xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:p="http://primefaces.org/ui"
	xmlns:f="http://java.sun.com/jsf/core"
	template="/templates/template.xhtml">
	<ui:define name="content">
	<style type="text/css">
		.xlsExport {
    		background-image: url(images/xls.svg) !important
    		
		}
	</style>	
    <h:form>
        <p:outputLabel value="Programa de acompañamiento para el egreso"/>
        <p:separator />
		<p:dataTable widgetVar="tabla" id="intervencionPAELst" var="ent" value="#{intervencionPAEMB.list}"  emptyMessage="No hay resultados para esa busqueda"
				rows="25" paginator="true" paginatorTemplate="{CurrentPageReport} {FirstPageLink} {PreviousPageLink} {PageLinks} {NextPageLink} {LastPageLink} {RowsPerPageDropdown} {Exporters}"
				filteredValue="#{intervencionPAEMB.filteredList}">
            
        	<f:facet name="{Exporters}">
	            <p:commandButton icon="ui-icon-extlink" value="Exportar xls..." ajax="false" immediate="true" style="float: right !important;margin-right: 5px !important;" >
	                <p:dataExporter  type="xls" target="intervencionPAELst" fileName="medidasPAE" />
	            </p:commandButton>
            </f:facet>             
            
            <f:facet name="header">
	            <p:outputPanel>
	                <p:outputLabel value="Buscar por Código, Apellido y Nombre:" />
	                <p:inputText id="globalFilter" onkeyup="PF('tabla').filter()" style="width:250px" placeholder="Ingrese su busqueda..."/>
	            </p:outputPanel>
        	</f:facet>
            
            <p:column  headerText="Fecha" >
                <p:outputLabel value="#{ent.fecha}" >
                	<f:convertDateTime pattern="dd/MM/yyyy" />
                </p:outputLabel>
            </p:column>
            
            <p:column filterBy="#{ent.legajo.codigo}" headerText="Legajo"  filterMatchMode="contains">
                <p:outputLabel value="#{ent.legajo.codigo}" />
            </p:column>

            <p:column filterBy="#{ent.legajo.apellidoYNombre}" headerText="Nombre"  filterMatchMode="contains">
                <p:outputLabel value="#{ent.legajo.apellidoYNombre}" />
            </p:column>

            <p:column filterBy="#{ent.tipoIntervencion.descripcion}" headerText="Tipo Intervención" filterMatchMode="equals">
                <p:outputLabel value="#{ent.tipoIntervencion.fullName}"  />
            </p:column>
            
            <p:column  headerText="Estado"  >
                <p:outputLabel value="#{ent.estadoSuperv.name}" style="font-weight:bold"/>
            </p:column>
            
            <p:column headerText="Archivo Adjunto" exportable="false">
                <p:commandButton value="Descargar..." ajax="false" 
							onclick="PrimeFaces.monitorDownload(start, stop);" 
							icon="ui-icon-arrowthick-1-s" immediate="true"
							rendered="#{not empty ent.archivoAdjunto}">
        				<p:fileDownload  value="#{fileUploaderMB.downloadFile(ent.archivoAdjunto)}" />
    				</p:commandButton>
            </p:column>
            
            <p:column headerText="Usuario Alta">
                <p:outputLabel value="#{ent.datosAuditoria.usuarioAlta.userName}" />
            </p:column>            
            
            <p:column exportable="false">
                <f:facet name="header">
                    <p:outputLabel value="Editar/Consultar" />
                </f:facet>
                <p:commandButton id="editII" action="#{intervencionPAEMB.edit(ent)}" ajax="false"  icon="#{intervencionPAEMB.puedeEditar(ent)?'ui-icon-pencil':'ui-icon-search'}" >
                </p:commandButton>
            </p:column>
            
            
        </p:dataTable>	
        <p:separator />
    	<input type="hidden" name="${_csrf.parameterName}" value="${_csrf.token}"/>
    </h:form>
	</ui:define>
</ui:composition>
